export declare type DocumentFieldFormElement = 'input-text' | 'input-number' | 'textbox-plain' | 'textbox-rich' | 'image' | 'document-reference' | 'date' | 'date-time' | 'slide-toggle';
export declare type DocumentFieldValidator = 'required';
export interface DocumentField {
    key: string;
    title: string;
    isTitle?: boolean;
    type: DocumentFieldFormElement;
    documentType?: string;
    defaultValue?: any;
    validators: DocumentFieldValidator[];
}
export interface DocumentCount {
    published: number;
    unpublished: number;
}
export interface DocumentType {
    id: string;
    title: string;
    slug: string;
    standalone: boolean;
    documentStatusDefault: 'published' | 'unpublished';
    description: string;
    icon: string;
    fields: DocumentField[];
    documentCount: DocumentCount;
    updated: any;
    created: any;
}
