"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const admin = require("firebase-admin");
const taskQueueRef = (siteId) => admin.database().ref('tanam').child(siteId).child('tasks');
const cacheQueueRef = (siteId) => taskQueueRef(siteId);
function makeCacheTask(siteId, path, action) {
    return __awaiter(this, void 0, void 0, function* () {
        if (!path) {
            return null;
        }
        console.log(`[makeCacheTask] ${JSON.stringify({ siteId, path, action })}`);
        return cacheQueueRef(siteId).child('cache').child(action).push(path);
    });
}
exports.createCache = (siteId, path) => makeCacheTask(siteId, path, 'create');
exports.updateCache = (siteId, path) => makeCacheTask(siteId, path, 'update');
exports.deleteCache = (siteId, path) => makeCacheTask(siteId, path, 'delete');
//# sourceMappingURL=task.service.js.map